- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# JumpResetCommand Class Reference

`#include <Command.h>`

Inheritance diagram for JumpResetCommand:

List of all members.

## Public Member Functions
| JumpResetCommand (Person *person)
| JumpResetCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _person
## Static Private Attributes
static const std::string | _id = "jumpReset"

## Detailed Description

Definition at line 38 of file Command.h.

## Constructor & Destructor Documentation

JumpResetCommand::JumpResetCommand | ( | Person * | person | ) |

| Definition at line 11 of file JumpResetCommand.cpp.

JumpResetCommand::JumpResetCommand | ( | List * | command | ) |

| Definition at line 16 of file JumpResetCommand.cpp. References _person, List::firstString(), and List::rest().

## Member Function Documentation

void JumpResetCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 22 of file JumpResetCommand.cpp. References _person, Level::getObject(), Level::instance(), and Person::jumpReset().

std::string JumpResetCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 31 of file JumpResetCommand.cpp. References _id, _person, List::getString(), and List::snoc().

static std::string JumpResetCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 45 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const std::string JumpResetCommand::_id = "jumpReset"`[static, private]`

| Definition at line 50 of file Command.h. Referenced by getString(), and id().

std::string JumpResetCommand::_person`[private]`

| Definition at line 48 of file Command.h. Referenced by execute(), getString(), and JumpResetCommand().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/JumpResetCommand.cpp